/chat
POST
/chat
const url = 'https://example.com/api/v1/chat';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"conversationId":"example","message":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/chat \ --header 'Content-Type: application/json' \ --data '{ "conversationId": "example", "message": "example" }'Request Body required
Section titled “Request Body required ” Media type application/json
object
conversationId
string
message
required
string
Example generated
{ "conversationId": "example", "message": "example"}Responses
Section titled “ Responses ”Default Response
Media type application/json
object
conversationId
required
string
text
required
string
toolEvents
required
Array<object>
object
tool
required
string
input
required
object
key
additional properties
result
required
string
isError
boolean
Example generated
{ "conversationId": "example", "text": "example", "toolEvents": [ { "tool": "example", "input": { "additionalProperty": "example" }, "result": "example", "isError": true } ]}Default Response
Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "errors": [ { "path": "example", "message": "example" } ]}Default Response
Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "errors": [ { "path": "example", "message": "example" } ]}